// $odd-row-background-color:#FBF8E7;

@mixin ag-grid-test-app-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-ag-grid-test {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }
  
    // .ag-header-cell-filtered {
    //   // background-color: #1b6d85;
    //   background-color: mat-color($primary);
    //   color: white;
    //   // background: mat-color($primary);
    //   // background: linear-gradient(to right, mat-color($primary, 500), mat-color($primary, 400), mat-color($primary, 300) 40%, mat-color($primary, 200) 60%, mat-color($primary, 100) 80%);
  
    // }
  
    .ag-grid-test {
      margin-top: 30px !important;
  
      .ag-grid-main-card {
        display: flex;
        flex-direction: column;
        padding: 5px;
        // background-color: #f5f8fd;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
  
          .top-header-filter {
            display: flex;
            padding: 0px 5px;
            margin: 0px 5px;
            font-size: 0.9em;
  
            .left-text {
              display: flex;
              width: 180px;
              float: left;
              height: inherit;
              align-items: center;
            }
  
            .right-text {
              display: flex;
              flex: auto;
  
              .mat-form-field {
                display: inline-block;
                position: relative;
                text-align: left;
                width: 450px;
                height: 30px;
              }
  
              .mat-form-field-appearance-outline .mat-form-field-infix {
                padding: 10px;
              }
  
              .mat-form-field-appearance-outline .mat-form-field-outline {
                color: black;
              }
  
              button {
                margin: 5px;
                margin-left: 15px;
                height: 35px;
                width: 45px;
              }
            }
          }
  
          .second-header-filter {
            // width: 100%;
            display: flex;
            background-color: white;
            border: 1px solid #eaf0fb;
            padding: 20px 10px;
            margin-bottom: 10px;
            font-size: 0.9em;
  
            span {
              display: flex;
              flex: auto;
              margin-right: 5px;
            }
          }
        }
  
        .mat-card-content {
          // .mat-tab-header {
          //   // background-color: mat-color($primary, 100);
          //   background: mat-color($primary);
          //   background: linear-gradient(to right, mat-color($primary, 100), mat-color($primary, 200) 30%, mat-color($primary, 300) 50%, mat-color($primary, 400) 70%, mat-color($primary, 500) 90%);
          // }
          // .mat-tab-label {
          //   // border-right-style: groove;
          //   border-right: 1px solid mat-color($primary, 50);
          //   // color: white;
          // }
          .mat-tab-label {
            background: #BDBDBD;
            border-radius: 10px 10px 0px 0px;
            margin-right: 10px;
            height: 40px !important;
            padding: 0;
            font-size: 1.1em;
            // mat-icon {
            //   margin: 5px;
            // }
            // .mat-tab-label-content {
            //   margin: -10px;
            // }
          }
  
          .mat-tab-label-active {
            opacity: 1 !important;
            background-color: mat-color($primary);
            color: white;
          }
  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            // margin-top: 3px;
          }
  
          .example-container {
            width: 100%;
            // margin-top: 10px;
            margin-right: 10px;
            margin-left: 10px;
          }
        }
  
        .mat-sort-header-arrow {
          color: white;
        }
  
        th.mat-sort-header-sorted {
          color: black;
        }
  
        td.mat-column-star {
          width: 20px;
          padding-right: 8px;
        }
  
        th.mat-column-position,
        td.mat-column-position {
          padding-left: 8px;
        }
  
        .mat-table-sticky:first-child {
          border-right: 1px solid #e0e0e0;
        }
  
        .mat-table-sticky:last-child {
          border-left: 1px solid #e0e0e0;
        }
      }
    }
  }
  